/********************************
*  액정 표시기용 헤더 파일
*    lcd_init()    ----- 초기화
*    lcd_cmd(cmd)  ----- 명령어 출력
*    lcd_data(data) ----- 1 문자 표시 출력
*    lcd_str(ptr)  ----- 문자열 표시 출력
*    lcd_clear()   ----- 전체 삭제
********************************/

#define _XTAL_FREQ  32000000	// 클록 주파수 설정

/********************************
*  조정용 상수
*********************************/
//#define CONTRAST	0x18		// for 5.0V
#define CONTRAST  0x28		// for 3.3V
/*********************************
*　아이콘 정의
*********************************/
const unsigned char ICON[14][2]={
	{0x00, 0x10},		// 안테나
	{0x02, 0x10},		// 전화
	{0x04, 0x10},		// 무선
	{0x06, 0x10},		// 잭
	{0x07, 0x10},		// △
	{0x07, 0x08},		// ▽
	{0x07, 0x18},		// △▽
	{0x09, 0x10},		// 자물쇠
	{0x0B, 0x10},		// 핀
	{0x0D, 0x02},		// 전지 없음
	{0x0D, 0x12},		// 용량 소
	{0x0D, 0x1A},		// 용량 중
	{0x0D, 0x1E},		// 용량 대
	{0x0F, 0x10}		// 원
};

void lcd_data(unsigned char data);
void lcd_cmd(unsigned char cmd);
void lcd_init(void);
void lcd_str(const unsigned char* ptr);
void lcd_clear(void);
void lcd_icon(unsigned char num, unsigned char onoff);
void Delayms( unsigned int t);
void Delayus(unsigned int t);
